%define name	digikam-plugins
%define version 0.6.2
%define release 3mdk

Summary: 		Digikam Plugins package
Name: 			%name
Version: 		%version
Release: 		%release
Source: 		digikamplugins-%{version}.tar.bz2
Group: 			Graphics
License: 		GPL
URL: 			http://digikam.sourceforge.net/
Requires: 		digikam
BuildRequires:          digikam >= 0.6.1, MesaGLU-devel
Requires:		ImageMagick >= 5.5.4
Requires:		mjpegtools >= 1.6.0
Requires:		dcraw
Buildrequires:		libdigikam-devel
BuildRoot: 		%_tmppath/%{name}-%{version}-buildroot

Patch1:			digikam-plugins-0.6.2-fix-compile.patch.bz2

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images 
from a digital camera on a linux machine.
The plugins included in this package are :
scanimages
cdarchiving
imagesgallery
mpegencoder
printwizard
rawconverter
slideshow
commentseditor
jpeglossless
sendimages
calendar
gammacorrection
batchprocessimages
miscoperations

%prep 

%setup -q -n digikamplugins
%patch1 -p1 -b .fix_compile

rm -rf "$RPM_BUILD_ROOT"

%build -n digikam-plugins-%{version}
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export WANT_AUTOCONF_2_5=1

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
        --enable-mt \
        --with-qt-dir=%_libdir/qt3 \
	--mandir=%_datadir/man \
        --disable-debug --disable-rpath --libdir=%_libdir

%make

%install
make DESTDIR=%buildroot install

%find_lang digikamplugin --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f digikamplugin.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc TODO
%_bindir/*
%_datadir/services/*
%dir %_datadir/apps/digikam/
%dir %_datadir/apps/digikam/plugins

%_datadir/apps/digikam/plugins
%_datadir/apps/digikam/icons/hicolor/22x22/actions/*.png
%_datadir/apps/digikam/icons/hicolor/32x32/actions/*.png
%_datadir/apps/digikam/data
%_datadir/apps/digikam/*.png
#%_datadir/apps/digikam/tips
%_libdir/kde3/*
%_mandir/man1/*

%changelog
* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Rebuild

* Mon Aug 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Fix requires

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2
- Add patch1: fix compile

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.1mdk
- 0.6.2-rc1

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- adjust buildrequires

* Thu May 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Thu Jan 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- user find lang macro
- from Arnaud de Villele <arnorpm@free.fr> :
	- Original release
